11 Replies Latest reply: Aug 1, 2012 1:14 AM by 717136 RSS

    11gR2  on OEL 6.3?

    717136
      Hello,

      is that possible?

      I tried it and didn't get the requirements necessary:

      package required installed
      libaio 0.3.105 0.3.107
      libaio-devel 0.3.105 0.3.107
      compat-libstdc++-33 3.2.3
      libgcc 3.4.6 4.4.6
      libstdc++ 3.4.6 4.4.6
      unixODBC 2.2.11 2.2.14
      unixODBC-devel 2.2.11 2.2.14
      pdksh not available

      Is there a way to resolve this?

      Best regards
        • 1. Re: 11gR2  on OEL 6.3?
          Srini Chavali-Oracle
          Only certified version on 6.3 currently is 11.2.0.3 - see http://docs.oracle.com/cd/E11882_01/relnotes.112/e23558/toc.htm#CHDFHIEA

          Details are in this MOS Doc

          Master Note of Linux OS Requirements for Database Server [ID 851598.1]

          HTH
          Srini
          • 2. Re: 11gR2  on OEL 6.3?
            717136
            Thank you for your reply.

            That means to me:
            i have to use OEL5.5 to use 11gR2.
            And that means i have an older kernel.
            Bad.

            Best regards.
            • 3. Re: 11gR2  on OEL 6.3?
              Dude!
              Perhaps you are confusing RHEL with OEL. Unless you haven't noticed, OEL does not exist anymore. The product is called OL for Oracle Linux and uses the Oracle UEK kernel.

              The current distribution kernels are:

              OL 5.8: kernel-uek-2.6.32-300.32.1.el5uek
              OL 6.3: kernel-uek-2.6.32-300.32.1.el6uek

              So both are using the same kernel. You can also install the UEK2 kernel, which is based on the version 3 of the mainstream Linux kernel. Since March this year, you also do not need a subscription anymore to get the latest patches. You can install the "oracle-validated" package on OL 5 and "oracle-rdbms-server-11gR2-preinstall" for OL 6 and the set the Oracle installer to ignore the prerequisites.
              • 4. Re: 11gR2  on OEL 6.3?
                Ahmer Mansoor
                Ignore the pdksh, it is deprecated in OEL 6.3

                http://unix.stackexchange.com/questions/29554/pdksh-missing-from-rhel-6-and-centos-6

                Rgds,

                Ahmer
                • 5. Re: 11gR2  on OEL 6.3?
                  Osama_Mustafa
                  Oracle Database 11.2.0.3.0 is certified on Linux x86 Red Hat Enterprise Linux 6
                  Oracle Database 11.2.0.1.0 is not certified on Linux x86 Red Hat Enterprise Linux 6
                  • 6. Re: 11gR2  on OEL 6.3?
                    Srini Chavali-Oracle
                    Osama-mustafa wrote:
                    Oracle Database 11.2.0.3.0 is certified on Linux x86 Red Hat Enterprise Linux 6
                    Oracle Database 11.2.0.1.0 is not certified on Linux x86 Red Hat Enterprise Linux 6
                    Again, this has already been stated above. Another 'noise' post ;-)

                    Srini
                    • 7. Re: 11gR2  on OEL 6.3?
                      Helios-GunesEROL
                      Hi;

                      I suggest please also see:

                      Oracle Database on Unix AIX,HP-UX,Linux,Mac OS X,Solaris,Tru64 Unix Operating Systems Installation and Configuration Requirements Quick Reference (8.0.5 to 11.2) [ID 169706.1]
                      Master Note of Linux OS Requirements for Database Server [ID 851598.1]

                      Regard
                      Helios
                      • 8. Re: 11gR2  on OEL 6.3?
                        717136
                        Hy Dude,

                        your not right:

                        my OL 6.3 Installation is:
                        kernel-uek.2.6.39-200.29.2.el6uek

                        And if i do 'make menuconfig' i see:
                        3.0.16-200.29.2

                        I thouht it would be a 3.2-version LTS.

                        Best regards
                        • 9. Re: 11gR2  on OEL 6.3?
                          Dude!
                          your not right
                          Well, you may think I'm wrong, but you can look at http://public-yum.oracle.com open the current .repo files and check the latest update channels for the available kernel versions yourself.

                          What you are referring or seeing in your installation is the UEK2 kernel, which is based on the mainstream version 3 Linux kernel. Version 2.6.39 marks the start of the version 3 kernel. But then again, what I said is certainly right:

                          http://public-yum.oracle.com/repo/OracleLinux/OL5/UEK/latest/x86_64/kernel-uek-2.6.39-200.29.2.el5uek.x86_64.rpm

                          You can see that OL 5 and 6 supply the same versions of available UEK and UEK2 kernels.
                          I thouht it would be a 3.2-version LTS.
                          If you are hunting for the very latest available software versions, Enterprise Linux is the wrong distribution.
                          i have to use OEL5.5 to use 11gR2. And that means i have an older kernel. Bad.
                          You claim that Oracle Linux 5 ships with an older kernel than Oracle Linux 6 is incorrect, see above. Oracle Linux 5.5 ships with the default and original Red Hat kernel, which can be considered old, but you could switch to the UEK kernel, which is a newer 2.6.32 based kernel. The product was also renamed from OEL to Oracle Linux. As of 5.6, the UEK kernel is default.
                          • 10. Re: 11gR2  on OEL 6.3?
                            Dude!
                            If your question is answered please mark it as answered and give credit to helpful replies according to the forum etiquette.
                            • 11. Re: 11gR2  on OEL 6.3?
                              717136
                              Thank you gentlemen, this was helpful.